const state = {
  selectProject: null
}

const mutations = {
  SET_SELECT: (state, project) => {
    state.selectProject = project
  }
}

const actions = {
  select: ({ commit }, project) => {
    commit('SET_SELECT', project)
  },
  remove: ({ commit }) => {
    commit('SET_SELECT', null)
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}
